libnl: yyguts_t Struct Reference

libnl 3.12.0

yyguts_t Struct Reference

## Data Fields
YY_EXTRA_TYPE | yyextra_r
FILE * | yyin_r
FILE * | yyout_r
size_t | yy_buffer_stack_top
| index of top of stack.
size_t | yy_buffer_stack_max
| capacity of stack.
YY_BUFFER_STATE * | yy_buffer_stack
| Stack as an array.
char | yy_hold_char
int | yy_n_chars
int | yyleng_r
char * | yy_c_buf_p
int | yy_init
int | yy_start
int | yy_did_buffer_switch_on_eof
int | yy_start_stack_ptr
int | yy_start_stack_depth
int * | yy_start_stack
yy_state_type | yy_last_accepting_state
char * | yy_last_accepting_cpos
int | yylineno_r
int | yy_flex_debug_r
char * | yytext_r
int | yy_more_flag
int | yy_more_len
YYSTYPE * | yylval_r
YYLTYPE * | yylloc_r

## Detailed Description

Definition at line 948 of file ematch_grammar.c.

## Field Documentation

## ◆ yyextra_r

YY_EXTRA_TYPE yyguts_t::yyextra_r

Definition at line 952 of file ematch_grammar.c.

## ◆ yyin_r

FILE * yyguts_t::yyin_r

Definition at line 955 of file ematch_grammar.c.

## ◆ yyout_r

FILE * yyguts_t::yyout_r

Definition at line 955 of file ematch_grammar.c.

## ◆ yy_buffer_stack_top

size_t yyguts_t::yy_buffer_stack_top

index of top of stack.

Definition at line 956 of file ematch_grammar.c.

## ◆ yy_buffer_stack_max

size_t yyguts_t::yy_buffer_stack_max

capacity of stack.

Definition at line 957 of file ematch_grammar.c.

## ◆ yy_buffer_stack

YY_BUFFER_STATE * yyguts_t::yy_buffer_stack

Stack as an array.

Definition at line 958 of file ematch_grammar.c.

## ◆ yy_hold_char

char yyguts_t::yy_hold_char

Definition at line 959 of file ematch_grammar.c.

## ◆ yy_n_chars

int yyguts_t::yy_n_chars

Definition at line 960 of file ematch_grammar.c.

## ◆ yyleng_r

int yyguts_t::yyleng_r

Definition at line 961 of file ematch_grammar.c.

## ◆ yy_c_buf_p

char * yyguts_t::yy_c_buf_p

Definition at line 962 of file ematch_grammar.c.

## ◆ yy_init

int yyguts_t::yy_init

Definition at line 963 of file ematch_grammar.c.

## ◆ yy_start

int yyguts_t::yy_start

Definition at line 964 of file ematch_grammar.c.

## ◆ yy_did_buffer_switch_on_eof

int yyguts_t::yy_did_buffer_switch_on_eof

Definition at line 965 of file ematch_grammar.c.

## ◆ yy_start_stack_ptr

int yyguts_t::yy_start_stack_ptr

Definition at line 966 of file ematch_grammar.c.

## ◆ yy_start_stack_depth

int yyguts_t::yy_start_stack_depth

Definition at line 967 of file ematch_grammar.c.

## ◆ yy_start_stack

int * yyguts_t::yy_start_stack

Definition at line 968 of file ematch_grammar.c.

## ◆ yy_last_accepting_state

yy_state_type yyguts_t::yy_last_accepting_state

Definition at line 969 of file ematch_grammar.c.

## ◆ yy_last_accepting_cpos

char * yyguts_t::yy_last_accepting_cpos

Definition at line 970 of file ematch_grammar.c.

## ◆ yylineno_r

int yyguts_t::yylineno_r

Definition at line 972 of file ematch_grammar.c.

## ◆ yy_flex_debug_r

int yyguts_t::yy_flex_debug_r

Definition at line 973 of file ematch_grammar.c.

## ◆ yytext_r

char * yyguts_t::yytext_r

Definition at line 975 of file ematch_grammar.c.

## ◆ yy_more_flag

int yyguts_t::yy_more_flag

Definition at line 976 of file ematch_grammar.c.

## ◆ yy_more_len

int yyguts_t::yy_more_len

Definition at line 977 of file ematch_grammar.c.

## ◆ yylval_r

YYSTYPE * yyguts_t::yylval_r

Definition at line 979 of file ematch_grammar.c.

## ◆ yylloc_r

YYLTYPE* yyguts_t::yylloc_r

Definition at line 756 of file pktloc_grammar.c.